* 68HC908JB8 Equates

* Input Output Ports
PTA             EQU     $0000           ;I/O PORT A
PORTA           EQU     $0000
PTB             EQU     $0001           ;I/O PORT B
PORTB           EQU     $0001
PTC             EQU     $0002           ;I/O PORT C
PORTC           EQU     $0002
PTD             EQU     $0003           ;I/O PORT D
PORTD           EQU     $0003
DDRA            EQU     $0004           ;Port A Data Direction
DDRB            EQU     $0005           ;Port B Data Direction
DDRC            EQU     $0006           ;Port C Data Direction
DDRD            EQU     $0007           ;Port D Data Direction
PTE             EQU     $0008           ;I/O PORT E
PORTE           EQU     $0008
DDRE            EQU     $0009           ;Port E Data Direction

* Timer Interface Module
TSC             EQU     $0A             ;Timer status and control
TCNTH           EQU     $0C             ;Timer counter register high byte
TCNTL           EQU     $0D             ;Timer counter register low byte
TMODH           EQU     $0E             ;Timer counter modulo high byte
TMODL           EQU     $0F             ;Timer counter modulo low byte
TSC0            EQU     $10             ;Timer channel 0 status and control
TCH0H           EQU     $11             ;Timer channel 0 high byte
TCH0L           EQU     $12             ;Timer channel 0 low byte
TSC1            EQU     $13             ;Timer channel 1 status and control
TCH1H           EQU     $14             ;Timer channel 1 high byte
TCH1L           EQU     $15             ;Timer channel 1 low byte

* Keyboard Interrupt Module
KBSCR           EQU     $16             ;Keyboard status and control
INTKBSCR        EQU     $16
KBIER           EQU     $17             ;Keyboard interrupt enable
INTKBIER        EQU     $17

* USB Peripheral
UIR2            EQU     $0018           ;USB Interrupt Register 2
UCR2            EQU     $0019           ;USB Control Register 2
UCR3            EQU     $001A           ;USB Control Register 3
UCR4            EQU     $001B           ;USB Control Register 4

* Miscellaneous Registers
IOCR            EQU     $001C           ;IRQ Option Control Register
POCR            EQU     $001D           ;Port Option Control Register
ISCR            EQU     $001E           ;IRQ Status and Control Register
CONFIG          EQU     $001F           ;Configuration Register

* USB Peripheral
UE0D0           EQU     $0020           ;USB Endpoint 0 Data Reg Byte 0
UE0D1           EQU     $0021           ;USB Endpoint 0 Data Reg Byte 1
UE0D2           EQU     $0022           ;USB Endpoint 0 Data Reg Byte 2
UE0D3           EQU     $0023           ;USB Endpoint 0 Data Reg Byte 3
UE0D4           EQU     $0024           ;USB Endpoint 0 Data Reg Byte 4
UE0D5           EQU     $0025           ;USB Endpoint 0 Data Reg Byte 5
UE0D6           EQU     $0026           ;USB Endpoint 0 Data Reg Byte 6
UE0D7           EQU     $0027           ;USB Endpoint 0 Data Reg Byte 7
UE1D0           EQU     $0028           ;USB Endpoint 1 Data Reg Byte 0
UE1D1           EQU     $0029           ;USB Endpoint 1 Data Reg Byte 1
UE1D2           EQU     $002A           ;USB Endpoint 1 Data Reg Byte 2
UE1D3           EQU     $002B           ;USB Endpoint 1 Data Reg Byte 3
UE1D4           EQU     $002C           ;USB Endpoint 1 Data Reg Byte 4
UE1D5           EQU     $002D           ;USB Endpoint 1 Data Reg Byte 5
UE1D6           EQU     $002E           ;USB Endpoint 1 Data Reg Byte 6
UE1D7           EQU     $002F           ;USB Endpoint 1 Data Reg Byte 7
UE2D0           EQU     $0030           ;USB Endpoint 2 Data Reg Byte 0
UE2D1           EQU     $0031           ;USB Endpoint 2 Data Reg Byte 1
UE2D2           EQU     $0032           ;USB Endpoint 2 Data Reg Byte 2
UE2D3           EQU     $0033           ;USB Endpoint 2 Data Reg Byte 3
UE2D4           EQU     $0034           ;USB Endpoint 2 Data Reg Byte 4
UE2D5           EQU     $0035           ;USB Endpoint 2 Data Reg Byte 5
UE2D6           EQU     $0036           ;USB Endpoint 2 Data Reg Byte 6
UE2D7           EQU     $0037           ;USB Endpoint 2 Data Reg Byte 7
UADDR           EQU     $0038           ;USB Address Register
UIR0            EQU     $0039           ;USB Interrupt Register 0
UIR1            EQU     $003A           ;USB Interrupt Register 1
UCR0            EQU     $003B           ;USB Control Register 0
UCR1            EQU     $003C           ;USB Control Register 1
USR0            EQU     $003D           ;USB Control Register 0
USR1            EQU     $003E           ;USB Control Register 0

* Break Status Register
BSR             EQU     $FE00           ;Break Status Register
RSR             EQU     $FE01           ;Reset Status Register
BFCR            EQU     $FE03           ;Break Flag Control Register
INT1            EQU     $FE04           ;Interrupt Status Register 1
FLCR            EQU     $FE08           ;FLASH Control Register
FLBPR           EQU     $FE09           ;FLASH Block Protect Register
BRKH            EQU     $FE0C           ;Break Address Register High
BRKL            EQU     $FE0D           ;Break Address Register Low
BRKSCR          EQU     $FE0E           ;Break Status and Control Register
COPCTL          EQU     $FFFF           ;COP Control Register

